/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.fence;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/17 14:49
 */
@ApiModel("围栏报警数据管理查询")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FenceAlarmConditionParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -2397459299914947087L;

    @ApiModelProperty(value = "地图id", example = "1")
    private Long mapId;

    @ApiModelProperty(value = "围栏id", example = "1")
    private Long fenceId;

    @ApiModelProperty(value = "报警人员真名", example = "张三")
    private String realName;

    @ApiModelProperty(value = "报警状态", example = "true|false")
    private Boolean status;

    @ApiModelProperty(value = "报警开始时间", example = "2022-05-06 14:00:00")
    private LocalDateTime beginTime;

    @ApiModelProperty(value = "报警结束时间", example = "2022-05-7 14:00:00")
    private LocalDateTime endTime;
}
