/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.icon;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/5 15:10
 */
@ApiModel("IconVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class IconVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 2334297671118394950L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "编号")
    Long id;

    @ApiModelProperty(value = "图标名称")
    String iconName;

    @ApiModelProperty(value = "图标类型")
    String iconType;

    @ApiModelProperty(value = "图标分类")
    String iconSort;

    @ApiModelProperty(value = "在线图标")
    String iconOnline;

    @ApiModelProperty(value = "离线图标")
    String iconOffline;
}
